@import "./typography.css";
@import "./sidebar.css";
@import "./breadcrumbs.css";
@import "./tags.css";

:root {
  font-family: NotoSans, sans-serif;
  font-size: 16px;
  color-scheme: light dark;

  --text-color: light-dark(#000, #fff);
  --text-secondary-color: #777;
  --bg-color: light-dark(#fff, #000);
}

a {
  color: rgb(0, 81, 255);
}

.external-link {
  display: inline-flex;
  align-items: center;
}

body {
  margin: 0;
  background-color: var(--bg-color);
}

app {
  display: grid;
  margin: 0 auto;
  max-width: 1280px;
  min-height: 100vh;
  grid-template-columns: 45% auto;
  gap: 1rem;

  @media (max-width: 1024px) {
    grid-template-columns: auto;
    width: 100%;
    margin: none;
  }
}

main {
  padding: 4rem 0;

  @media (max-width: 1024px) {
    padding: 1rem;
  }
}

#experience {
  display: flex;
  flex-direction: column;
  gap: 4rem;
  padding: 1rem 0;

  .experience-item {
    display: grid;
    grid-template-columns: 140px auto;
    gap: 1rem;

    .year {
      color: var(--text-secondary-color);
    }

    h3 {
      margin-top: 0;
    }

    .project {
      display: flex;
      flex-direction: column;
      gap: 1.5rem;

      .project-item {
        h4 {
          margin: 0;
        }
        .description {
          margin-top: 0;
          color: var(--text-secondary-color);
        }
      }
    }
  }
}

.dog {
  display: grid;
  place-items: end;
  color: var(--text-secondary-color);
  padding-top: 4rem;
  font-size: 0.8rem;

  img {
    max-width: 500px;

    @media (max-width: 1280px) {
      width: 100%;
    }
  }
}

.main-content {
  display: flex;
  flex-direction: column;
  gap: 4rem;
}
